Subject: bug#8358: 24.0.50; `minibuffer-scroll-window' with active minibuffer: always *Completions*?

From: Stefan Monnier <[email-masked]>
Date: Mon, 28 Mar 2011 21:05:48 -0400

> Should be able to set it at any time and have it take effect (not be
> wiped out by `with-output-to-temp-buffer'.  Anyway, it's clear we
> don't agree.  The simple solution (trivial in this case) is for me to
> just roll my own and forget about using `scroll-other-window(-down)'
> and `minibuffer-scroll-window', since they are essentially hard-coded
> during completion.

Here's my question:
given that we want (by default) scroll-other-window to scroll the
*Completions* buffer when called from the minibuffer and *Completions*
has been displayed, how else would you implement this in a way that
also satisfies your needs?

IOW send us some kind of patch to the Emacs code that does not change
the current default behavior, but makes it flexible in the way
you expect.

        Stefan